﻿using UnityEngine;
using System.Collections;

// 体力バー
public class HpBar : MonoBehaviour {

    public GameObject Pobj;
    public int BarWidth = 256;

    void Awake() {
    }

    void Start() {
        Pobj = GameObject.Find("player");
    }

    void Update() {
        if (Pobj == null) return;

        int life = Pobj.GetComponent<Player>().Life;
        int lifemax = Pobj.GetComponent<Player>().LifeMax;
        if (life <= 0) life = 0;
        Rect hpRect = guiTexture.pixelInset;
        hpRect.width = life * BarWidth / lifemax;
        guiTexture.pixelInset = hpRect;
    }

    void OnDamage(int damage) {
    }
}
