﻿using UnityEngine;
using System.Collections;

// パーティクルシステムの自動削除処理
public class Particle : MonoBehaviour {

    private ParticleSystem myObj;

    void Awake() {
        myObj = this.particleSystem;
    }

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {
        if (myObj != null && myObj.particleCount == 0) {
            Destroy(gameObject, myObj.duration);
        }
	}
}
