﻿using UnityEngine;
using System.Collections;

// カメラ処理
public class camera : MonoBehaviour {

    public GameObject player;
    public int Kind = 0; // 追従方向。0なら横スクロール。1なら縦スクロール
    public float value_min = 0.0f; // 最小座標
    public float value_max = 30.0f; // 最大座標
    public float value_def = 4.5f; // デフォルト座標

    void Start() {

    }

    void Update() {
        if (player == null) return;

        switch (Kind) {
            case 0:
                // 横方向にスクロール
                // プレイヤーのx座標を代入
                transform.position = new Vector3(player.transform.position.x, value_def, -10);

                // x座標の最小値と最大値の範囲に収まるようにする
                if (transform.position.x < value_min) {
                    transform.position = new Vector3(value_min, value_def, -10);
                }
                if (transform.position.x >= value_max) {
                    transform.position = new Vector3(value_max, value_def, -10);
                }
                break;
            case 1:
                // 縦方向にスクロール
                // プレイヤーのy座標を代入
                transform.position = new Vector3(value_def, player.transform.position.y, -10);

                // x座標の最小値と最大値の範囲に収まるようにする
                if (transform.position.y < value_min) {
                    transform.position = new Vector3(value_def, value_min, -10);
                }
                if (transform.position.y >= value_max) {
                    transform.position = new Vector3(value_def, value_max, -10);
                }
                break;
        }
    }
}
