﻿using UnityEngine;
using System.Collections;

// 雑魚敵ボール発生処理
public class EnemyBallBorn : MonoBehaviour {
    public GameObject enemyBall;
    public GameObject pobj;
    public float xofs = 9.8f;
    public float WaitTime = 6f;
    public float WaitTimeOfs = 3f;
    public float timer = 0f;

    void Start() {
        pobj = GameObject.Find("player");
        timer = WaitTimeOfs;
    }

    void Update() {
        timer -= Time.deltaTime;
        if (timer > 0) return;
        if (pobj == null) return;

        // 一定時間ごとに敵発生
        Vector3 pos = Camera.main.transform.localPosition;
        pos.y = transform.localPosition.y;
        pos.z = 0f;
        bool fg = (pobj.transform.localPosition.x < pos.x)? false : true;
        pos.x += (xofs * ((fg)? 1f : -1f));
        GameObject ball = Instantiate(enemyBall, pos, Quaternion.identity) as GameObject;
        Vector3 scale = ball.transform.localScale;
        scale.x = (fg) ? 1f : -1f;
        ball.transform.localScale = scale;

        timer = WaitTime;
    }
}
