﻿using UnityEngine;
using System.Collections;

public class FireMove : MonoBehaviour {
    public float spd = 16f;
    public bool is_right_local = true;
    public float DeadTime = 0.6f;

    void Start() {

    }

    void Awake() {
    }

    void Update() {
        transform.Translate(((is_right_local) ? Vector3.right : Vector3.left) * spd * Time.deltaTime);
        Destroy(gameObject, DeadTime); // 一定時間が経過したら消滅
    }

    // 方向を受け取る
    void setDirection(bool isRight = true) {
        is_right_local = isRight;
        if (!is_right_local) {
            // オブジェクトを反転
            transform.localScale = new Vector3(-1, 1, 0);
        }
    }

    void OnTriggerEnter2D(Collider2D col) {
        if (col.gameObject.tag == "Enemy") {
            col.gameObject.SendMessage("OnDamageEffect", transform.localScale.x);
        }
        Destroy(gameObject);
    }
}
